commit ead7f6473700d208358d49a2fdc775c4ffde2e8e
Author: Ondřej Váně <onry.vane@gmail.com>
Date:   Tue Apr 28 13:34:59 2020 +0200

    Re #7914: Zrychlení nahrávání dokumentů
    
    - úprava docker composeru pro mapování lokálních složek s konfigurací Solru do dockeru
    - úprava skriptů pro pro spuštění celé aplikace
    - přidání složky pro konfiguraci jader v Solru (/solr/core-configs)
    - drobná úprava readme

diff --git a/be/fulltextsearch/src/main/java/cz/zcu/kiv/aswi/fulltextsearch/SolrService.java b/be/fulltextsearch/src/main/java/cz/zcu/kiv/aswi/fulltextsearch/SolrService.java
index 18ee530..cca550d 100644
--- a/be/fulltextsearch/src/main/java/cz/zcu/kiv/aswi/fulltextsearch/SolrService.java
+++ b/be/fulltextsearch/src/main/java/cz/zcu/kiv/aswi/fulltextsearch/SolrService.java
@@ -65,18 +65,31 @@ public class SolrService {
         String urlString = URL + ":8983/solr/";
 
         try {
+            LOG.info("Before HttpSolrClient.Builder");
             solrClientDocuments = new HttpSolrClient.Builder(urlString).build();
+            LOG.info("After HttpSolrClient.Builder");
+
+            LOG.info("Before Create Core");
             CoreAdminRequest.createCore(CORE_NAME_DOCUMENTS, CORE_NAME_DOCUMENTS, solrClientDocuments, "conf/solrconfig.xml", "documents-schema.xml");
+            LOG.info("After Create Core");
+
+            LOG.info("Before setBase URL");
             solrClientDocuments.setBaseURL(solrClientDocuments.getBaseURL() + "/" +  CORE_NAME_DOCUMENTS);
+            LOG.info("After setBase URL");
+
 
             solrClientFiles = new HttpSolrClient.Builder(urlString).build();
             CoreAdminRequest.createCore(CORE_NAME_FILES, CORE_NAME_FILES, solrClientFiles, "conf/solrconfig.xml", "files-schema.xml");
             solrClientFiles.setBaseURL(solrClientFiles.getBaseURL() + "/"  + CORE_NAME_FILES);
+            LOG.info("After try");
         } catch (SolrServerException e) {
+            LOG.error("SolrServerException: " + e);
             e.printStackTrace();
         } catch (IOException e) {
+            LOG.error("IOException: " + e);
             e.printStackTrace();
         }
+        LOG.error("Connect finished");
     }
 
     public int uploadFiles(List<MultipartFile> files) throws IOException, SolrServerException, JAXBException {
diff --git a/run.bat b/run.bat
index 5a5821e..317a119 100644
--- a/run.bat
+++ b/run.bat
@@ -23,18 +23,6 @@ FOR /F "tokens=*" %%G IN ('docker container ls -aq') DO docker container rm %%G
 echo "---STARTING CONTAINERS---"
 docker-compose up -d --no-build
 
-echo "---DELETING CORE WITH NAME 'files'---"
-docker exec fulltextsearch-solr solr delete -c files
-
-echo "---DELETING CORE WITH NAME 'documents'---"
-docker exec fulltextsearch-solr solr delete -c documents
-
-echo "---CREATING CORE WITH NAME 'documents'---"
-docker exec fulltextsearch-solr solr create -c documents
-
-echo "---CREATING CORE WITH NAME 'files'---"
-docker exec fulltextsearch-solr solr create -c files
-
 echo "---DELETING FAKE DIRS---"
 rmdir /q /s be
 rmdir /q /s fe
diff --git a/run.sh b/run.sh
index 02a658a..ecf9f1f 100755
--- a/run.sh
+++ b/run.sh
@@ -27,18 +27,6 @@ docker container rm $(docker container ls -aq)
 echo "---STARTING CONTAINERS---"
 docker-compose up -d --no-build
 
-echo "---DELETING CORE WITH NAME 'files'---"
-docker exec fulltextsearch-solr solr delete -c files
-
-echo "---DELETING CORE WITH NAME 'documents'---"
-docker exec fulltextsearch-solr solr delete -c documents
-
-echo "---CREATING CORE WITH NAME 'documents'---"
-docker exec fulltextsearch-solr solr create -c documents
-
-echo "---CREATING CORE WITH NAME 'files'---"
-docker exec fulltextsearch-solr solr create -c files
-
 echo "---DELETING FAKE DIRS---"
 cd be
 rmdir fulltextsearch
